Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3015 - gdb + threaded programs = lots of zombie threads, even with PTHREAD_CREATE_DETACHED
Summary: gdb + threaded programs = lots of zombie threads, even with PTHREAD_CREATE_DE...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdb
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL: http://pendor.mckusick.com/~benco/thr...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-24 20:15 UTC by benco
Modified: 2015-01-07 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-30 21:33:52 UTC


Attachments (Terms of Use)

Description benco 1999-05-24 20:15:20 UTC
The program in the attached URL generates four threads
which all immediately exit. When run standalone from the
shell, there are two PIDs devoted to my program, as there
should be (one for the main thread, and one for the thread
manager--the other four exit cleanly). When run from gdb,
however, the same two threads show up, along with four
processes in the zombie state, even though the threads are
all created with the PTHREAD_CREATE_DETACHED flag in their
attributes.

This makes debugging impossible for large programs that
create many short-lived threads, as the process table fills
up quickly.

Comment 1 Jim Kingdon 1999-07-30 21:33:59 UTC
The given URL http://pendor.mckusick.com/~benco/threadtest.c does not
seem to (any longer) be valid.  Could you please email threadtest.c?


Note You need to log in before you can comment on or make changes to this bug.